Esta página ainda não foi traduzida para o português, por isso é apresentada em inglês.
Get Workflows Launches Summary
This returns the list of launches of a particular Workflow. You can filter the launches by type, status, launch time, and Bot Runner IDs. The output list contains the last 1000 launches.
gethttps://api.{region}.electroneek.com/v1/orchestrator/workflow/{id}/launches
{region} pode ser: na, cis, apac, latam, emea
Experimente
Parâmetros de caminho
Parâmetros de consulta
Preencha id para enviar esta solicitação.
cURL
curl --request GET \
--url 'https://api.na.electroneek.com/v1/orchestrator/workflow/{id}/launches'Autenticação
Use um token API da página Orquestrador → Integrações. Envie-o como token bearer: Authorization: Bearer <token>.
Parâmetros de caminho
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
id | string | sim | Workflow ID |
Parâmetros de consulta
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
type | string (manual, webhook, schedule, zapier, api) | não | |
status | string (stopped, in-queue, cancelled, forced-stop, in-progress, completed-with-error, completed-successfully) | não | |
started_from | date-time | não | |
started_to | date-time | não | |
completed_from | date-time | não | |
completed_to | date-time | não | |
runner_ids | array of string | não |
Resposta
200Success
Corpo da resposta
object
listarray of objectsobject
iduuidobrigatóriotypestring (manual, webhook, schedule, zapier, api)obrigatóriostatusstring (in-progress, completed-successfully, completed-with-error)obrigatóriostarted_atdate-timeobrigatóriooutput_dataobjectThis returns all the Global Variables that were selected as Output while building the workflow in Studio Pro.
completed_atdate-timeobrigatóriologs_enabledbooleanobrigatórioconsole_logs_enabledbooleanobrigatórioWhether console logs were collected for this launch.
account_emailstringobrigatóriorunner_idstringAtualizado